Page MenuHomePhabricator

CentralNotice: Support MariaDB Strict Mode
Closed, ResolvedPublic4 Story Points

Description

Currently Strict Mode is enabled on CI. It will be gradually enabled in more places, and will eventually land in production.

CentralNotice phpunit tests fail in this mode, so we're pretty sure CentralNotice won't work with this. We should review all DB queries in CN for potential strict mode violations, and fix as needed.

Related Objects

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 13 2016, 10:42 PM
AndyRussG renamed this task from CentralNotice: Update to use MariaDB Strict Mode to CentralNotice: Support MariaDB Strict Mode.Sep 13 2016, 10:42 PM
DStrine set the point value for this task to 2.
DStrine changed the point value for this task from 2 to 4.

Change 310457 had a related patch set uploaded (by Ejegg):
WIP MariaDB strict mode

https://gerrit.wikimedia.org/r/310457

Ejegg claimed this task.Sep 14 2016, 12:39 AM
Ejegg moved this task from Backlog to Review on the Fundraising Sprint Rocket Surgery 2016 board.

Please do not view this as a criticism, but as an encouragement (thanks for working on this!!!)- not enabling strict mode in the past has created both performance and logical errors on central* database tables.

So I believe that, even if this requires time and effort, its investment will be returned many times.

Change 310457 merged by jenkins-bot:
MariaDB strict mode

https://gerrit.wikimedia.org/r/310457

Ejegg closed this task as Resolved.Nov 23 2016, 11:59 PM